Public Member Functions | Public Attributes | List of all members
clan::Circlex< Type > Class Template Reference
clanCore Math

Circle. More...

`#include <circle.h>`

## Public Member Functions
| Circlex (Type x, Type y, Type radius)
| Circlex (const Vec2< Type > &p, Type radius)
| Circlex ()
| Circlex (const Circlex< Type > &copy)
Attributes
bool | is_inside (const Vec2< Type > &point)
Operators
Circlex< Type > & | operator= (const Circlex< Type > &copy)
| = operator. More...
bool | operator== (const Circlex< Type > &circle) const
| == operator. More...
bool | operator!= (const Circlex< Type > &circle) const
| != operator. More...

## Public Attributes
Vec2< Type > | position
| Circle center point. More...
Type | radius
| Circle radius. More...

## Detailed Description

### template<typename Type>
class clan::Circlex< Type >

Circle.

These circle templates are defined for: int (Circle), float (Circlef), double (Circled)

The documentation for this class was generated from the following file:

- circle.h